<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:24 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
DefaultHttpClientIODispatch (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DefaultHttpClientIODispatch (HttpComponents Core 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultHttpClientIODispatch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html" title="class in org.apache.http.impl.nio"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html" title="class in org.apache.http.impl.nio"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/nio/DefaultHttpClientIODispatch.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultHttpClientIODispatch.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.nio</FONT>
<BR>
Class DefaultHttpClientIODispatch</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">org.apache.http.impl.nio.reactor.AbstractIODispatch</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.nio.DefaultHttpClientIODispatch</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/http/nio/reactor/IOEventDispatch.html" title="interface in org.apache.http.nio.reactor">IOEventDispatch</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../../org/apache/http/annotation/Immutable.html" title="annotation in org.apache.http.annotation">@Immutable</A>
</FONT>public class <B>DefaultHttpClientIODispatch</B><DT>extends <A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;</DL>
</PRE>

<P>
Default <A HREF="../../../../../org/apache/http/nio/reactor/IOEventDispatch.html" title="interface in org.apache.http.nio.reactor"><CODE>IOEventDispatch</CODE></A> implementation that supports both plain (non-encrypted)
 and SSL encrypted client side HTTP connections.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.nio.reactor.IOEventDispatch"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.apache.http.nio.reactor.<A HREF="../../../../../org/apache/http/nio/reactor/IOEventDispatch.html" title="interface in org.apache.http.nio.reactor">IOEventDispatch</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/nio/reactor/IOEventDispatch.html#CONNECTION_KEY">CONNECTION_KEY</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, org.apache.http.config.ConnectionConfig)">DefaultHttpClientIODispatch</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                            <A HREF="../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, org.apache.http.params.HttpParams)">DefaultHttpClientIODispatch</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                            <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, org.apache.http.config.ConnectionConfig)"><CODE>DefaultHttpClientIODispatch(
  NHttpClientEventHandler, ConnectionConfig)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, org.apache.http.nio.NHttpConnectionFactory)">DefaultHttpClientIODispatch</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                            <A HREF="../../../../../org/apache/http/nio/NHttpConnectionFactory.html" title="interface in org.apache.http.nio">NHttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;&nbsp;connFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new instance of this class to be used for dispatching I/O event
 notifications to the given protocol handler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.config.ConnectionConfig)">DefaultHttpClientIODispatch</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                            <A HREF="../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.params.HttpParams)">DefaultHttpClientIODispatch</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                            <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.config.ConnectionConfig)"><CODE>DefaultHttpClientIODispatch(
   NHttpClientEventHandler, SSLContext, ConnectionConfig)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)">DefaultHttpClientIODispatch</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                            <A HREF="../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                            <A HREF="../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.params.HttpParams)">DefaultHttpClientIODispatch</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                            <A HREF="../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                            <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)"><CODE>DefaultHttpClientIODispatch(
  NHttpClientEventHandler, SSLContext, SSLSetupHandler, ConnectionConfig)</CODE></A></I></TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#createConnection(org.apache.http.nio.reactor.IOSession)">createConnection</A></B>(<A HREF="../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#onClosed(org.apache.http.impl.nio.DefaultNHttpClientConnection)">onClosed</A></B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#onConnected(org.apache.http.impl.nio.DefaultNHttpClientConnection)">onConnected</A></B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#onException(org.apache.http.impl.nio.DefaultNHttpClientConnection, java.io.IOException)">onException</A></B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn,
            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>&nbsp;ex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#onInputReady(org.apache.http.impl.nio.DefaultNHttpClientConnection)">onInputReady</A></B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#onOutputReady(org.apache.http.impl.nio.DefaultNHttpClientConnection)">onOutputReady</A></B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#onTimeout(org.apache.http.impl.nio.DefaultNHttpClientConnection)">onTimeout</A></B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.impl.nio.reactor.AbstractIODispatch"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.impl.nio.reactor.<A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#connected(org.apache.http.nio.reactor.IOSession)">connected</A>, <A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#disconnected(org.apache.http.nio.reactor.IOSession)">disconnected</A>, <A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#inputReady(org.apache.http.nio.reactor.IOSession)">inputReady</A>, <A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#outputReady(org.apache.http.nio.reactor.IOSession)">outputReady</A>, <A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#timeout(org.apache.http.nio.reactor.IOSession)">timeout</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, org.apache.http.nio.NHttpConnectionFactory)"><!-- --></A><H3>
DefaultHttpClientIODispatch</H3>
<PRE>
public <B>DefaultHttpClientIODispatch</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                                   <A HREF="../../../../../org/apache/http/nio/NHttpConnectionFactory.html" title="interface in org.apache.http.nio">NHttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;&nbsp;connFactory)</PRE>
<DL>
<DD>Creates a new instance of this class to be used for dispatching I/O event
 notifications to the given protocol handler.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>handler</CODE> - the client protocol handler.<DD><CODE>connFactory</CODE> - HTTP client connection factory.</DL>
</DL>
<HR>

<A NAME="DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, org.apache.http.params.HttpParams)"><!-- --></A><H3>
DefaultHttpClientIODispatch</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>DefaultHttpClientIODispatch</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                                              <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, org.apache.http.config.ConnectionConfig)"><CODE>DefaultHttpClientIODispatch(
  NHttpClientEventHandler, ConnectionConfig)</CODE></A></I>
<P>
</DL>
<HR>

<A NAME="DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.params.HttpParams)"><!-- --></A><H3>
DefaultHttpClientIODispatch</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>DefaultHttpClientIODispatch</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                                              <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                              <A HREF="../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                              <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)"><CODE>DefaultHttpClientIODispatch(
  NHttpClientEventHandler, SSLContext, SSLSetupHandler, ConnectionConfig)</CODE></A></I>
<P>
</DL>
<HR>

<A NAME="DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.params.HttpParams)"><!-- --></A><H3>
DefaultHttpClientIODispatch</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>DefaultHttpClientIODispatch</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                                              <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                              <A HREF="../../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3) use <A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.config.ConnectionConfig)"><CODE>DefaultHttpClientIODispatch(
   NHttpClientEventHandler, SSLContext, ConnectionConfig)</CODE></A></I>
<P>
</DL>
<HR>

<A NAME="DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, org.apache.http.config.ConnectionConfig)"><!-- --></A><H3>
DefaultHttpClientIODispatch</H3>
<PRE>
public <B>DefaultHttpClientIODispatch</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                                   <A HREF="../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</PRE>
<DL>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.3</DD>
</DL>
</DL>
<HR>

<A NAME="DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.nio.reactor.ssl.SSLSetupHandler, org.apache.http.config.ConnectionConfig)"><!-- --></A><H3>
DefaultHttpClientIODispatch</H3>
<PRE>
public <B>DefaultHttpClientIODispatch</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                                   <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                   <A HREF="../../../../../org/apache/http/nio/reactor/ssl/SSLSetupHandler.html" title="interface in org.apache.http.nio.reactor.ssl">SSLSetupHandler</A>&nbsp;sslHandler,
                                   <A HREF="../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</PRE>
<DL>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.3</DD>
</DL>
</DL>
<HR>

<A NAME="DefaultHttpClientIODispatch(org.apache.http.nio.NHttpClientEventHandler, javax.net.ssl.SSLContext, org.apache.http.config.ConnectionConfig)"><!-- --></A><H3>
DefaultHttpClientIODispatch</H3>
<PRE>
public <B>DefaultHttpClientIODispatch</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>&nbsp;handler,
                                   <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/javax/net/ssl/SSLContext.html?is-external=true" title="class or interface in javax.net.ssl">SSLContext</A>&nbsp;sslcontext,
                                   <A HREF="../../../../../org/apache/http/config/ConnectionConfig.html" title="class in org.apache.http.config">ConnectionConfig</A>&nbsp;config)</PRE>
<DL>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.3</DD>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createConnection(org.apache.http.nio.reactor.IOSession)"><!-- --></A><H3>
createConnection</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A> <B>createConnection</B>(<A HREF="../../../../../org/apache/http/nio/reactor/IOSession.html" title="interface in org.apache.http.nio.reactor">IOSession</A>&nbsp;session)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#createConnection(org.apache.http.nio.reactor.IOSession)">createConnection</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="onConnected(org.apache.http.impl.nio.DefaultNHttpClientConnection)"><!-- --></A><H3>
onConnected</H3>
<PRE>
protected void <B>onConnected</B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#onConnected(T)">onConnected</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="onClosed(org.apache.http.impl.nio.DefaultNHttpClientConnection)"><!-- --></A><H3>
onClosed</H3>
<PRE>
protected void <B>onClosed</B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#onClosed(T)">onClosed</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="onException(org.apache.http.impl.nio.DefaultNHttpClientConnection, java.io.IOException)"><!-- --></A><H3>
onException</H3>
<PRE>
protected void <B>onException</B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn,
                           <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>&nbsp;ex)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#onException(T, java.io.IOException)">onException</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="onInputReady(org.apache.http.impl.nio.DefaultNHttpClientConnection)"><!-- --></A><H3>
onInputReady</H3>
<PRE>
protected void <B>onInputReady</B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#onInputReady(T)">onInputReady</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="onOutputReady(org.apache.http.impl.nio.DefaultNHttpClientConnection)"><!-- --></A><H3>
onOutputReady</H3>
<PRE>
protected void <B>onOutputReady</B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#onOutputReady(T)">onOutputReady</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="onTimeout(org.apache.http.impl.nio.DefaultNHttpClientConnection)"><!-- --></A><H3>
onTimeout</H3>
<PRE>
protected void <B>onTimeout</B>(<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html#onTimeout(T)">onTimeout</A></CODE> in class <CODE><A HREF="../../../../../org/apache/http/impl/nio/reactor/AbstractIODispatch.html" title="class in org.apache.http.impl.nio.reactor">AbstractIODispatch</A>&lt;<A HREF="../../../../../org/apache/http/impl/nio/DefaultNHttpClientConnection.html" title="class in org.apache.http.impl.nio">DefaultNHttpClientConnection</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultHttpClientIODispatch.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/nio/DefaultClientIOEventDispatch.html" title="class in org.apache.http.impl.nio"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/nio/DefaultHttpServerIODispatch.html" title="class in org.apache.http.impl.nio"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/nio/DefaultHttpClientIODispatch.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultHttpClientIODispatch.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
